MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025968Community[OCCT] OCCT:Modeling Algorithmspublic2015-03-23 00:502018-06-29 21:19
Reportershoogen 
Assigned Tobugmaster 
PrioritynormalSeveritytweak 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian 6.0OS Version64 bit
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0025968: boolean returning an invalid shape
Descriptionthe result of the final "bfuse" fails the checkshape command.
Steps To Reproducetest bugs modalg_7 bug25968
TagsNo tags attached.
Test case numberbugs modalg_7 bug25968
Attached Files? file icon csg-heatex-009.tcl (3,657 bytes) 2015-03-23 00:50

- Relationships
parent of 0025981closedbugmaster Wrong result obtained by projection algorithm. 

-  Notes
(0071893)
aml (developer)
2017-11-01 12:04

Dear msv,

The problem is not reproduced on the current development version. The resulting shape is valid from the "checkshape" point of view.
(0071897)
msv (developer)
2017-11-01 12:37

It is needed to create a test.
(0071902)
aml (developer)
2017-11-01 12:49

I will take care of it.
(0072189)
git (administrator)
2017-11-11 10:34

Branch CR25968 has been created by aml.

SHA-1: 3f313072b6dede08faf01be1349027b96031de94


Detailed log of new commits:

Author: aml
Date: Sat Nov 11 10:33:45 2017 +0300

    0025968: boolean returning an invalid shape
    
    Test case creation.
(0072190)
aml (developer)
2017-11-11 10:36

Dear msv,
Could you please check new test case?
(0072198)
msv (developer)
2017-11-13 10:08

- Add a header (see any other test case)
- Consider adding check by nbshapes, surface area and volume.
- Is it worth to add checkview?
(0072210)
git (administrator)
2017-11-13 11:54

Branch CR25968 has been updated by aml.

SHA-1: ef00124764af25adbab5a3696f30c901213b1370


Detailed log of new commits:

Author: aml
Date: Mon Nov 13 11:54:21 2017 +0300

    # Test case correction.

(0072211)
aml (developer)
2017-11-13 11:56

Dear msv,
Could you please check the updated version of the bug25968 branch?
(0072212)
kgv (developer)
2017-11-13 12:04

Advice:
+puts "============"
+puts "OCC25968"
+puts "============"
+puts ""
+######################################################
+# boolean returning an invalid shape
+######################################################

It is better putting test description to Tcl output (puts instead of comment) - so that it would be possible to see what test is about directly from test results.
(0072213)
aml (developer)
2017-11-13 12:11

As far as I see it is better to perform such a modification in the scope of a separate issue - many cases should be affected.
(0072214)
kgv (developer)
2017-11-13 12:26
edited on: 2017-11-13 12:27

> As far as I see it is better to perform such a modification in the scope of a separate issue - many cases should be affected.
This is a general advice, which makes sense to apply to new test cases first of all.
Of course, modifying existing tests should be done in scope of dedicated issue (if will be ever done).

(0072221)
msv (developer)
2017-11-13 15:45

Reviewed.
(0072240)
bugmaster (administrator)
2017-11-14 13:51

Test case is OK:

Linux:
http://occt-tests/IR-WEEK46-INV-OCCT/Debian70-64/bugs/modalg_7/bug25968.html [^]

Windows:
http://occt-tests/IR-WEEK46-INV-OCCT/Windows-64-VC10/bugs/modalg_7/bug25968.html [^]
(0072784)
git (administrator)
2017-12-07 21:07

Branch CR25968 has been deleted by kgv.

SHA-1: ef00124764af25adbab5a3696f30c901213b1370

- Related Changesets
occt: master d193f101
Timestamp: 2017-11-11 07:33:45
Author: aml
Committer: bugmaster
Details ] Diff ]
0025968: boolean returning an invalid shape

Problem is not reproduced on current master.
Testing case was created
add - tests/bugs/modalg_7/bug25968 Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-03-23 00:50 shoogen New Issue
2015-03-23 00:50 shoogen Assigned To => msv
2015-03-23 00:50 shoogen File Added: csg-heatex-009.tcl
2015-03-23 12:40 msv Assigned To msv => pkv
2015-03-23 12:40 msv Status new => assigned
2015-03-25 13:14 pkv Relationship added parent of 0025981
2017-11-01 12:04 aml Note Added: 0071893
2017-11-01 12:04 aml Assigned To pkv => msv
2017-11-01 12:04 aml Status assigned => feedback
2017-11-01 12:37 msv Note Added: 0071897
2017-11-01 12:49 aml Note Added: 0071902
2017-11-01 12:49 aml Assigned To msv => aml
2017-11-01 12:49 aml Status feedback => assigned
2017-11-11 10:34 git Note Added: 0072189
2017-11-11 10:36 aml Note Added: 0072190
2017-11-11 10:36 aml Assigned To aml => msv
2017-11-11 10:36 aml Status assigned => resolved
2017-11-11 10:36 aml Steps to Reproduce Updated View Revisions
2017-11-13 10:08 msv Note Added: 0072198
2017-11-13 10:08 msv Assigned To msv => aml
2017-11-13 10:08 msv Status resolved => assigned
2017-11-13 11:54 git Note Added: 0072210
2017-11-13 11:56 aml Note Added: 0072211
2017-11-13 11:56 aml Assigned To aml => msv
2017-11-13 11:56 aml Status assigned => resolved
2017-11-13 12:04 kgv Note Added: 0072212
2017-11-13 12:11 aml Note Added: 0072213
2017-11-13 12:26 kgv Note Added: 0072214
2017-11-13 12:27 kgv Note Edited: 0072214 View Revisions
2017-11-13 15:45 msv Note Added: 0072221
2017-11-13 15:45 msv Assigned To msv => bugmaster
2017-11-13 15:45 msv Status resolved => reviewed
2017-11-14 13:49 bugmaster Test case number => bugs modalg_7 bug25968
2017-11-14 13:51 bugmaster Note Added: 0072240
2017-11-14 13:51 bugmaster Status reviewed => tested
2017-11-14 15:54 bugmaster Target Version => 7.3.0
2017-11-17 16:10 bugmaster Changeset attached => occt master d193f101
2017-11-17 16:10 bugmaster Status tested => verified
2017-11-17 16:10 bugmaster Resolution open => fixed
2017-12-07 21:07 git Note Added: 0072784
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker